Package Details: libxc 4.3.4-4

Git Clone URL: https://aur.archlinux.org/libxc.git (read-only, click to copy)
Package Base: libxc
Description: A library of exchange-correlation functionals for density-functional theory
Upstream URL: https://www.tddft.org/programs/libxc
Licenses: MPL2
Submitter: jspencer
Maintainer: jspencer
Last Packager: jspencer
Votes: 6
Popularity: 0.004655
First Submitted: 2012-04-13 01:45
Last Updated: 2019-12-11 22:18

Latest Comments

1 2 Next › Last »

jspencer commented on 2019-12-11 22:20

Thanks! I didn't spot that psi4 had switched to using upstream libxc. I've updated the PGKBUILD to use cmake (only minor changes from your version). Thanks for the suggestion and code!

a.kudelin commented on 2019-12-11 19:21

The current package provides no cmake files which are required for psi4 to be built without tricks.

jspencer commented on 2019-12-10 22:44

Could you explain what the problems you had with the current version? As far as I can tell, the current version also produces Fortran and Fortran 2003 libraries and static and shared libraries. Could you also say (if its public) what project you're working on or code you're trying to link libxc to?

a.kudelin commented on 2019-12-10 11:39

Dear Mr. Spencer,

I have your PKGBUILD refactored to make a project I'm currently working at linkable with LIBXC:
https://pastebin.com/9sdXvJX9
Could you please review my changes and consider adding them to AUR?

a.kudelin commented on 2019-10-16 14:39

Download link should be updated: http://www.tddft.org/programs/libxc/down.php?file=4.3.4/libxc-4.3.4.tar.gz

jspencer commented on 2019-05-25 10:00

Thanks! I had missed the license change in the changelog last year.

a.kudelin commented on 2019-05-23 20:04

License has been changed to MPL2.

jspencer commented on 2018-05-24 21:57

So it has -- the files in the tarball have modified dates after the 4.0.4 was released. It looks like they've redone the website and releases. I'll update to the latest version...

simonp commented on 2018-05-24 20:41

Seems the sha1sum has changed: d213b44cdf4feb0204efba52005afb7c7648b03d libxc-4.0.4.tar.gz

jspencer commented on 2017-01-04 21:27

Compiling gpaw is somewhat out of scope for the libxc package but the issue is with gpaw -- it hardcodes (in config.py) the python library and the assumption it uses for the naming scheme is no longer valid for python 3 (see https://www.python.org/dev/peps/pep-3149/ for details).

gpaw should instead use sysconfig.get_config_var('LDLIBRARY'). This can be done for earlier versions of python using distutils.sysconfig as well.